OnigCompileInfo Struct Reference

`#include <oniguruma.h>`

## Data Fields

int | num_of_elements
OnigEncoding | pattern_enc
OnigEncoding | target_enc
OnigSyntaxType * | syntax
OnigOptionType | option
OnigCaseFoldType | case_fold_flag

## Detailed Description

Definition at line 679 of file oniguruma.h.

## Field Documentation

OnigCaseFoldType OnigCompileInfo::case_fold_flag

Definition at line 685 of file oniguruma.h.

int OnigCompileInfo::num_of_elements

Definition at line 680 of file oniguruma.h.

OnigOptionType OnigCompileInfo::option

Definition at line 684 of file oniguruma.h.

OnigEncoding OnigCompileInfo::pattern_enc

Definition at line 681 of file oniguruma.h.

OnigSyntaxType* OnigCompileInfo::syntax

Definition at line 683 of file oniguruma.h.

OnigEncoding OnigCompileInfo::target_enc

Definition at line 682 of file oniguruma.h.

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h